EDIT - task #8379

Review strange specimen implementations
07/17/2019 11:46 AM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18
Severity: major
Description
Please
* #8368
e #8370

| am repeating according comments from the original tickets here:

#8370

Important for the review is to understand why the bug was introduced with cdm-dataportal|e89c1115 this was for sure in the attempt
to fix another problem.

#8368

After fixing the problems in this code i noticed that this code is not generating any output at all.
| attempted to base the code on existing functions and wrote the following lines:

if (isset ($specimen_or_observation->specimenTypeDesignations) && count (
$specimen_or_observation->specimenTypeDesignations) > 0) {
// $specimen_or_observation->specimenTypeDesignations are DTOs
Sspecimen_type_designation_map = array();
foreach ($specimen_or_observation->specimenTypeDesignations as $stdDTO) {
if (!isset ($specimen_type_designation_map[$stdDTO->typeStatus])) {

Sspecimen_type_designation_map[$stdDTO->typeStatus] = array();
}
$Sspecimen_type_designation_map[$stdDTO->typeStatus] [] = $stdDTO;
}
Sitems['data'] = compose_specimen_type_designations ($specimen_type_designation_map) ;

}
| removed them again and left the original code as it is. This code was introduced in cdm-dataportal|lb3ac03bf

TODO: check if it is feasible to simplify and unify the code by using compose_specimen_type_designations(). (low priority)

Related issues:

Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
Copied from EDIT - bug #8368: problems in compose_cdm_specimen_or_observation... Closed
Copied from EDIT - bug #8370: feature blocks created by compose_description_e... Closed
History

#1-07/17/2019 11:46 AM - Andreas Kohlbecker

- Copied from bug #8368: problems in compose_cdm_specimen_or_observation_tree_entry() added

#2 - 07/17/2019 11:46 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/8368
https://dev.e-taxonomy.eu/redmine/issues/8370
https://dev.e-taxonomy.eu/redmine/issues/8370
https://dev.e-taxonomy.eu/redmine/issues/8368
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/b3ac03bf02c2fb77d49e92fba547b6a660b13ddf

- Copied from bug #8370: feature blocks created by compose_description_element_individuals_association() are broken added

#3 - 09/11/2019 11:35 AM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#4 - 11/05/2019 12:43 PM - Katja Luther

- Target version changed from Release 5.11 to Release 5.12

#5 - 01/16/2020 12:59 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#6 - 03/10/2020 11:09 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#7 - 04/01/2020 09:03 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#8 - 04/01/2020 10:47 AM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Kohlbecker

| think we decided to move this issue to AK. Please correct me if wrong.

Please also decide which milestone it should go to, but definetely it should not be postponed to much as a good specimen is a more and more
important requirement.

#9 - 04/01/2020 10:57 AM - Andreas Kohlbecker

- Description updated

Andreas Muller wrote:

| think we decided to move this issue to AK. Please correct me if wrong.

Yes, exactly. But | will definitely need Katja to help shed more light on the original requirements and expectations.

Please also decide which milestone it should go to, but definetely it should not be postponed to much as a good specimen is a more and more
important requirement.

Milestone 5.15 seems like realistic perspective to me

#10 - 06/23/2020 02:02 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#11 - 07/31/2020 11:11 AM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added

#12 - 10/09/2020 11:04 AM - Andreas Kohlbecker

- Description updated

#13 - 12/01/2020 02:53 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

TODO: final check

#14 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#15 - 03/10/2021 02:53 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22
#16 - 04/19/2021 02:47 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#17 - 07/05/2021 07:29 PM - Andreas Miiller
- Tags set to specimen
- Tracker changed from report to task

- Status changed from New to Resolved

According to note 13 this only needs a final check. So | put it on resolved in case it is fixed and only needs review.

#18 - 07/14/2021 11:14 AM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

moving to next milestone to speed up review phase of 5.25.0

#19 - 09/21/2021 02:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.45 to Release 5.18

final check successful, can be closed, moving to the milestone for which this has been fixed: Release 5.18

#20 - 09/21/2021 02:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
